package com.apobates.forum.core.entity.proxy;

import com.apobates.forum.core.entity.Album;
import com.apobates.forum.core.entity.Board;
import com.apobates.forum.utils.lang.ForumReplicable;
import java.util.function.Function;

/**
 *
 * @author xiaofanku
 * @since 20200519
 */
public final class AlbumReplica extends Album implements ForumReplicable<Album, AlbumReplica>{
    private Board board;
    public static Function<Album,AlbumReplica> copyAlbum = (Album album)->{
        return ForumReplicable.replica(album, AlbumReplica.class).orElseGet(AlbumReplica::new);
    };
    
    public AlbumReplica(){
        super();
    }
    
    public Board getBoard() {
        return board;
    }
    public void setBoard(Board board){
        this.board = board;
    }
}